| dp14rxss Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
xvid_pat_gen.c File Reference

## Overview

This file contains functions to configure Video Pattern Generator core.

    MODIFICATION HISTORY:

    Ver   Who    Date     Changes

    1.00  shad   01/29/15 Initial release.

## Functions
void | ComputeMandD (u32 VidFreq)
| This function computes M and D value. More...
void | Vpg_VidgenSetTestPattern (XDp *InstancePtr, u8 Stream)
| This function sets pattern to generate in Video Pattern Generator core. More...
void | Vpg_Audio_start (void)
| This function starts audio pattern generator. More...
void | Vpg_Audio_stop (void)
| This function stops audio pattern generator. More...
int | Vpg_StreamSrcConfigure (XDp *InstancePtr, u8 VSplitMode, u8 first_time)
| This function updates required timing values in Video Pattern Generator core. More...
void | Vpg_VidgenSetUserPattern (XDp *InstancePtr, u8 Pattern)
| This function sets user pattern. More...
int | wait_for_lock (void)
| This function waits for PLL lock. More...

## Function Documentation

void ComputeMandD | ( | u32 | VidFreq | ) |

This function computes M and D value.

Parameters

  Video | frequency

Note
  None.

References wait_for_lock().

void Vpg_Audio_start | ( | void |  | ) |

This function starts audio pattern generator.

Returns
  None.

Note
  None.

void Vpg_Audio_stop | ( | void |  | ) |

This function stops audio pattern generator.

Returns
  None.

Note
  None.

int Vpg_StreamSrcConfigure | ( | XDp * | InstancePtr,
|  | u8 | VSplitMode,
|  | u8 | first_time
| ) |  |

This function updates required timing values in Video Pattern Generator core.

Parameters

  InstancePtr | is a pointer to the XDp instance.
  VSplitMode | specifies vertical split mode to be used for splitting resolution vertically.

Returns
  - XST_SUCCESS if Video pattern configured successfully.

Note
  None.

References Vpg_VidgenSetTestPattern().

void Vpg_VidgenSetTestPattern | ( | XDp * | InstancePtr,
|  | u8 | Stream
| ) |  |

This function sets pattern to generate in Video Pattern Generator core.

Parameters

  InstancePtr | is a pointer to the XDp instance.
  Stream | is the stream number for which to set the pattern.

Returns
  None.

Note
  None.

Referenced by Vpg_StreamSrcConfigure().

void Vpg_VidgenSetUserPattern | ( | XDp * | InstancePtr,
|  | u8 | Pattern
| ) |  |

This function sets user pattern.

Parameters

  InstancePtr | is a pointer to the XDp instance.
  Pattern | number to set with

Returns
  None.

Note
  None.

int wait_for_lock | ( | void |  | ) |

This function waits for PLL lock.

Returns
  pass/fail result. If there is error, none-zero value will return

Note
  None.

Referenced by ComputeMandD().